Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/3815/?format=api
{ "ob_id": 3815, "uuid": "b2e6515ddd8572285be58ba18e99ad59", "title": "Met Office Africa-LAM L70 model output (12km resolution - 16th Mar. 2011 to 11th Sep. 2013)", "abstract": "The Africa LAM Dataset is a collection of data outputs from a high resolution Numerical Weather Prediction (NWP) Limited Area Model over Africa (the Africa LAM), developed by the Met Office. Data is available for the period 2010 to September 2013. Data covering the period Jan 2010 to mid-March 2011 are from the 20km 38L model configuration while data from mid-March 2011 to 11th September 2013 are higher resolution from the 12km 70L model configuration. This dataset is access restricted to the academic research community only.", "keywords": "NWP, Met Office, UM, unified model, Africa-LAM, atmospheric model", "publicationState": "published", "dataPublishedTime": "2011-11-22T11:48:47", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/3816/?format=api", "dataPath": "/badc/ukmo-africa-lam/data/12km70lev/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 17328480948708, "numberOfFiles": 45227, "fileFormat": "Met Office PP file format." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1088/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/68/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data was routinely acquired from the Met Office for the period November 2010 to September 2013 when the Met Office retired the 12km Africa Limited Area Model (LAM).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2554/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8725/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/555/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/3811/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18911/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18908/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18907/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18912/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18906/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18913/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18909/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/18910/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53049/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55427/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168742/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/3817/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2667/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://creativecommons.org/licenses/by-nc-sa/4.0/", "licenceClassifications": "personal, academic, policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }